API referenceAPI keys
Rotate a key
POST
/api-keys/{id}/rotateRequires an API key with one of these roles: admin.
Authorization
bearerAuth AuthorizationBearer <token>
An API key created in Settings → API Keys.
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "plaintext": "string" }, "meta": { "requestId": "string", "timestamp": "string" }}